package com.energy.online.data.utils;

import com.energy.online.data.dto.BaseConfig;
import com.energy.online.data.dto.Measurepoint;
import org.yaml.snakeyaml.Yaml;

import java.io.InputStream;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public class MyConfigUtils {

    public static BaseConfig getBaseConfig() {

        Yaml yaml = new Yaml();
        InputStream inputStream = MyConfigUtils.class.getClassLoader().getResourceAsStream("config.yml");
        return yaml.loadAs(inputStream, BaseConfig.class);
    }

    public static Map<Integer, Measurepoint> getEnableMeasurepoints(List<Measurepoint> measurepoints) {
        return measurepoints.stream().filter(data -> data.getEnable() == 1).collect(Collectors.toMap(Measurepoint::getIoa, o -> o, (o1, o2) -> o2, LinkedHashMap::new));
    }

    public static void main(String[] args) {

        BaseConfig config = getBaseConfig();
        getEnableMeasurepoints(config.getMeasurepoints()).values().forEach(System.out::println);
    }
}
